curl "https://api.numeralhq.com/tax/exchange_rates?date=2026-09-30&base_currency=USD&target_currency=EUR" \
-H "Authorization: Bearer sk_test_xxx"
{
"object": "tax.exchange_rate",
"date": "2026-09-30",
"base_currency": "USD",
"target_currency": "EUR",
"rate": 0.861245
}
{
"code": 400,
"type": "DATE_OUT_OF_RANGE",
"message": "date 2099-01-01 is in the future. Latest available date is 2026-10-20 (today, UTC)."
}
Exchange Rates
Get Exchange Rate
Retrieve the exchange rate between two currencies for a given date
GET
/
tax
/
exchange_rates
curl "https://api.numeralhq.com/tax/exchange_rates?date=2026-09-30&base_currency=USD&target_currency=EUR" \
-H "Authorization: Bearer sk_test_xxx"
{
"object": "tax.exchange_rate",
"date": "2026-09-30",
"base_currency": "USD",
"target_currency": "EUR",
"rate": 0.861245
}
{
"code": 400,
"type": "DATE_OUT_OF_RANGE",
"message": "date 2099-01-01 is in the future. Latest available date is 2026-10-20 (today, UTC)."
}
Retrieve the exchange rate between two currencies for a given date.
For weekends and market holidays, the rate from the most recent trading day is returned.
Headers
string
required
Bearer token authentication.
Query Parameters
string
required
The date of the exchange rate, in
YYYY-MM-DD format (UTC). Cannot be later than the current date in UTC.string
required
The ISO 4217 code of the currency to convert from (e.g.,
USD). Case-insensitive. See Currencies for list of supported currencies.string
required
The ISO 4217 code of the currency to convert to (e.g.,
EUR). Case-insensitive. See Currencies for list of supported currencies.Response
string
Always
tax.exchange_rate.string
The date of the exchange rate, in
YYYY-MM-DD format (UTC).string
The ISO 4217 code of the currency converted from, in uppercase.
string
The ISO 4217 code of the currency converted to, in uppercase.
number
The amount of
target_currency equal to one unit of base_currency. Values are not rounded. Returns 1 when base_currency and target_currency are the same.Errors
If a request has more than one error, only the first is returned, in the order listed below.| Status | Type | Description |
|---|---|---|
| 400 | UNRECOGNIZED_FIELD | The request includes a query parameter other than date, base_currency, or target_currency. |
| 400 | MISSING_FIELD | A required query parameter is missing or empty. |
| 400 | INVALID_DATE | date is not a valid calendar date in YYYY-MM-DD format. |
| 400 | DATE_OUT_OF_RANGE | date is later than the current date in UTC. |
| 400 | INVALID_CURRENCY_CODE | base_currency or target_currency is not a three-letter code. |
| 400 | UNSUPPORTED_CURRENCY_CODE | base_currency or target_currency is not a supported currency. |
| 404 | EXCHANGE_RATE_NOT_FOUND | No exchange rate is available for the currency pair on the given date. |
curl "https://api.numeralhq.com/tax/exchange_rates?date=2026-09-30&base_currency=USD&target_currency=EUR" \
-H "Authorization: Bearer sk_test_xxx"
{
"object": "tax.exchange_rate",
"date": "2026-09-30",
"base_currency": "USD",
"target_currency": "EUR",
"rate": 0.861245
}
{
"code": 400,
"type": "DATE_OUT_OF_RANGE",
"message": "date 2099-01-01 is in the future. Latest available date is 2026-10-20 (today, UTC)."
}
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The date of the exchange rate, in YYYY-MM-DD format (UTC). Cannot be later than the current date in UTC.
ISO 4217 code of the currency to convert from. Case-insensitive.
ISO 4217 code of the currency to convert to. Case-insensitive.
Response
Exchange rate for the requested currency pair and date
Available options:
tax.exchange_rate The date of the exchange rate, in YYYY-MM-DD format (UTC)
ISO 4217 code of the currency converted from, in uppercase
ISO 4217 code of the currency converted to, in uppercase
Amount of target_currency equal to one unit of base_currency. Not rounded.